<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Builder;

class PagSeguroChargesAmountBuilder implements Builder {
	protected $value;
	protected $currency;
	protected $sumary;

	public function build(): PagSeguroChargesAmount {

		$obj = new PagSeguroChargesAmount();

		$obj->setCurrency( $this->currency );
		$obj->setSumary( $this->sumary );
		$obj->setValue( $this->value );

		return $obj;

	}

	/**
	 *
	 * @param mixed $value
	 */
	public function setValue($value): PagSeguroChargesAmountBuilder {

		$this->value = $value;
		return $this;

	}

	/**
	 *
	 * @param mixed $currency
	 */
	public function setCurrency($currency): PagSeguroChargesAmountBuilder {

		$this->currency = $currency;
		return $this;

	}

	/**
	 *
	 * @param mixed $sumary
	 */
	public function setSumary($sumary): PagSeguroChargesAmountBuilder {

		$this->sumary = $sumary;
		return $this;

	}

}

